<?php
/**
 * @filesource: default.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   template for use of php-helper class for rgraph charts package
 *              this template renders a single chart
 */

// setup of rgraph javascript libraries
$id = $chart->get_id();
$chart_type = $chart->get_chartType();
if (!isset($canvas_style))
  $canvas_style = "";
if (!isset($canvas_class))
  $canvas_class = "";
if (!isset($chart_name))
  $chart_name = "chart";
echo $java_scripts;
?>

<canvas id="<?php echo $id; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" style=" <?php echo $canvas_style; ?>" class="<?php echo $canvas_class; ?>">
    [No canvas support]>
</canvas>
<script>
jQuery(document).ready(function() {
         
  var <?php echo $chart_name; ?> = new RGraph.<?php echo $chart_type; ?> (
   <?php echo $rgraph_json; ?>).<?php echo $draw_option; ?>
  
});
</script>