<?php

$common_types = array(
        "core",
        "tooltips",
        "dynamic",
        "effects",
        "key",
        //"resizing",
        "keyinteractive",
        "contextmenu",
        "csv"
        //"annotate"
);

$scripts = array(
        "bar" => "RGraph.bar.js",
        "bipolar" => "RGraph.bipolar.js",
        "annotate" => "RGraph.common.annotate.js",
        "contextmenu" => "RGraph.common.context.js",
        "context" => "RGraph.common.context.js",
        "core" => "RGraph.common.core.js",
        "csv" => "RGraph.common.csv.js",
        "dynamic" => "RGraph.common.dynamic.js",
        "effects" => "RGraph.common.effects.js",
        "key" => "RGraph.common.key.js",
        "resizing" => "RGraph.common.resizing.js",
        "tooltips" => "RGraph.common.tooltips.js",
        "zoom" => "RGraph.common.zoom.js",
        "cornergauge" => "RGraph.cornergauge.js",
        "keyinteractive" => "RGraph.drawing.rect.js",
        "rect" => "RGraph.drawing.rect.js",
        "fuel" => "RGraph.fuel.js",
        "funnel" => "RGraph.funnel.js",
        "gantt" => "RGraph.gantt.js",
        "gauge" => "RGraph.gauge.js",
        "hbar" => "RGraph.hbar.js",
        "line" => "RGraph.line.js",
        "meter" => "RGraph.meter.js",
        "odometer" => "RGraph.odo.js",
        "pie" => "RGraph.pie.js",
        "radar" => "RGraph.radar.js",
        "rose" => "RGraph.rose.js",
        "rscatter" => "RGraph.rscatter.js",
        "scatter" => "RGraph.scatter.js",
        "waterfall" => "RGraph.waterfall.js"
);


$file_out = "libraries/RGraph.common.lib.js";
echo "<br><br> <b>creating common script $file_out </b>";

$out = fopen($file_out, "w");
if ($out)
{
    for ($i = 0; $i < count($common_types); $i ++)
    {
        $script_files[$i] = getScript($common_types[$i], $scripts);
        echo "<br> including: " . $script_files[$i];
        append_script($out, "libraries/" . $script_files[$i]);
    }
    fclose($out);
}
else
  "open failed for out-file";

function append_script ($out, $script_file)
{
    $line = "// Version 609: " . $script_file;
    $in = fopen($script_file, "r");
    fputs($out, $line);
    while (($line = fgets($in)) !== false)
    {
        fputs($out, $line);
    }
    fputs($out, "\n");
    fclose($in);
}

function getScript ($type, $scripts)
{
    $type = strtolower($type);
    foreach ($scripts as $key => $script)
    {
        if ($key == $type)
        {
            return $script;
            break;
        }
    }
    return - 1;
}

?>